Name: kde-games
Summary: Games for the K Desktop Environment
Version: 0.12.2
Release: 2
Source100: ftp.kde.org:/pub/kde/apps/kde-games.tar.gz
Group: X11/K Desktop Environment/Games
BuildRoot: /tmp/kde-games
Copyright: GPL
Requires: qt >= 1.2, libgr, kde >= 0.12.2

%description
Games for the K Desktop Environment.  Current games in this package are:
kmahjongg, kmines, kpat, kpoker, kreversi, ksame, ksnake, and ktetris.

#------------------------------------------------------------------------- 

%package kmines
Summary: Minesweeper
Group: X11/K Desktop Environment/Games
version: 0.6.5
Release: 1

%description kmines
A Game

#-------------------------------------------------------------------------

%package kmahjongg
Summary: Mahjongg
Group: X11/K Desktop Environment/Games
version: 0.3
Release: 1

%description kmahjongg
A Game

#------------------------------------------------------------------------- 

%package kpat
Summary: Patience
Group: X11/K Desktop Environment/Games
Version: 0.4
Release: 1

%description kpat
A Game

#-------------------------------------------------------------------------

%package kpoker
Summary: Poker
Group: X11/K Desktop Environment/Games
Version: 0.1.2
Release: 1

%description kpoker
A Game

#------------------------------------------------------------------------- 

%package kreversi
Summary: Reversi
Group: X11/K Desktop Environment/Games
Version: 0.4
Release: 1

%description kreversi
A Game 

#-------------------------------------------------------------------------

%package ksame
Summary: SameGame
Group: X11/K Desktop Environment/Games
Version: 0.2
Release: 1

%description ksame
A Game      

#-------------------------------------------------------------------------

%package ksnake
Summary: Snake Race
Group: X11/K Desktop Environment/Games
Version: 0.1
Release: 1

%description ksnake
A Game  

#------------------------------------------------------------------------- 

%package ktetris
Summary: Tetris
Group: X11/K Desktop Environment/Games
Version: 0.2.5
Release: 1

%description ktetris
A Game

#-------------------------------------------------------------------------
 

%prep
%setup -T -c -a 100

%build
export KDEDIR=/opt/kde

rm -rf $RPM_BUILD_ROOT

cd kde-games
./configure --prefix=$RPM_BUILD_ROOT$KDEDIR
make KDEDIR=$KDEDIR
make KDEDIR=$RPM_BUILD_ROOT$KDEDIR install
cd ..  

%install
export KDEDIR=/opt/kde

cd $RPM_BUILD_ROOT$KDEDIR

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc kde-games/doc/README kde-games/doc/COPYING kde-games/doc/kmines kde-games/doc/kpat
%doc kde-games/doc/kpoker kde-games/doc/kreversi kde-games/doc/ktetris
/opt/kde/apps 
/opt/kde/bin
/opt/kde/doc
/opt/kde/lib

%files kmahjongg
/opt/kde/apps/Games/Mahjongg.kdelnk
/opt/kde/bin/kmahjongg
/opt/kde/doc/HTML/kmah*
/opt/kde/lib/pics/kmah*

%files kmines
%doc kde-games/doc/kmines/
/opt/kde/apps/Games/Minesweeper.kdelnk
/opt/kde/bin/kmines
/opt/kde/doc/HTML/kmines*

%files kpat
%doc kde-games/doc/kpat/
/opt/kde/apps/Games/Patience.kdelnk
/opt/kde/bin/kpat
/opt/kde/doc/HTML/kpat/
/opt/kde/lib/pics/kpat/

%files kpoker
%doc kde-games/doc/kpoker/
/opt/kde/apps/Games/Poker.kdelnk
/opt/kde/bin/kpoker
/opt/kde/doc/HTML/kpoker/
/opt/kde/lib/pics/kpoker/

%files kreversi
%doc kde-games/doc/kreversi
/opt/kde/apps/Games/Reversi.kdelnk
/opt/kde/bin/kreversi
/opt/kde/doc/HTML/Reversi/
/opt/kde/lib/pics/Reversi/
/opt/kde/lib/sounds/Reversi/

%files ksame
/opt/kde/apps/Games/SameGame.kdelnk
/opt/kde/bin/ksame

%files ksnake
/opt/kde/apps/Games/Snake*
/opt/kde/bin/ksnake
/opt/kde/lib/ksnake

%files ktetris
%doc kde-games/doc/ktetris
/opt/kde/apps/Games/Tetris.kdelnk
/opt/kde/bin/ktetris
/opt/kde/doc/HTML/ktetris*


